const char * FINAL_FILE = "data/final-%d/%d-%d-%d-%d.txt";
const char * RESULT_FILE = "data/result-%d-%d-%d-%d.txt";
const char * STAT_FILE = "stat/a-%d.txt";
const char * MERGE_FILE = "Complete.txt";

const char * RES_LINE = "4x4 (%d) = %d %d %d %d | %d %d %d %d | %d %d %d %d | %d %d %d %d %c\n";
const char * STAT_STRING = "%2d\t%4d\tof\t%4d\t\t%7.3f%%\n";

bool file_exists(const char * filename) {
	FILE * file;
	if (file = fopen(filename, "r"))
	{
		fclose(file);
		return true;
	}
	return false;
}

bool wipe_file(const char * filename) {
	FILE *out;
	if (out = fopen(filename, "w")) {
		fclose(out);
		return true;
	} else return false;
}

void stat(int a, int succ) {
	char buffer[255];
	sprintf(buffer, STAT_FILE, a);

	FILE * file;
	if (file = fopen(buffer, "w"))
	{
		sprintf(buffer, STAT_STRING, a, succ, 15*14*13, (float)succ/(15*14*13)*100);
		fputs(buffer, file);
		sprintf(buffer, "\n%d\n%d\n%d\n%.3f%%\n", a, succ, 15*14*13, (float)succ/(15*14*13)*100);
		fputs(buffer, file);
		fclose(file);
	}
}

void concatFile(FILE* destfile_desc, char* secondfile) {
	FILE *fp1;
	fp1 = fopen(secondfile,"r");

	char ch;
	while ((ch=getc(fp1))!=EOF) {
		putc(ch,destfile_desc);
	}

	fclose(fp1);
}
